> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-11/v11-11-0.md).

# Version 11.11.0 Changelog (February 18, 2026)

View changelog 11.11.0 for Android SDK.

## Notes

This release of Apryse for Android brings the core PDF functionality in line with version 11.11.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## New

* Added API to select multiple annotations from the same page in ToolManager class.

## Fixes

* Removed usage of the java.util.Random class due to security concerns.
* Updated multi-tab limit to 100 tabs to reduce out-of-memory related ANRs.

## APIs

### PDFViewCtrlTools package

#### AnnotEditRectGroup

*new* method: void selectAnnots(Annot\[], int)

#### ToolManager

*new* method: void selectAnnots(Annot\[], int)

#### BufferTransitionManager

*new* static field: boolean sALLOW\_ANIMATION

#### PdfViewCtrlTabsManager

*new* static final field: int MAX\_STORED\_TABS

*new* method: LinkedHashMap\<String, PdfViewCtrlTabInfo> getMaxStoredTabs(JSONObject, int)

#### Utils

*new* static method: Activity findActivity(Context)

*new* static method: FragmentActivity findFragmentActivity(Context)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-11/v11-11-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
